Lingxing
切换旧版

修改货件实际状态

POST/erp/sc/routing/storage/shipment/updateShipmentActualStatus

接口信息

API Path请求协议请求方式令牌桶容量
/erp/sc/routing/storage/shipment/updateShipmentActualStatusHTTPSPOST1

请求参数

is_closedinteger必填
货件状态:0 进行中,1 已完成
listarray<object>必填
货件信息
隐藏子属性
sidinteger必填
店铺id ,对应查询亚马逊店铺列表接口对应字段【sid】
shipment_idstring必填
货件单号

请求cURL示例

curl --location 'https://openapi.lingxing.com/erp/sc/routing/storage/shipment/updateShipmentActualStatus?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "is_closed": 1,
    "list": [
        {
            "sid": 12,
            "shipment_id": "FBA17124YWC9"
        }
    ]
}'

返回结果

Json Object

codeinteger必填
状态码,0 成功
示例 0
messagestring必填
消息提示
示例 success
error_detailsarray<any>必填
错误信息
request_idstring必填
请求链路id
示例 4A761C3F-D6BC-C81C-807F-4EC70B4DB516
response_timestring必填
响应时间
示例 2023-02-23 10:27:32
dataarray<any>必填
响应数据
totalinteger必填
总数
示例 0

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "4A761C3F-D6BC-C81C-807F-4EC70B4DB516",
    "response_time": "2023-02-23 10:27:32",
    "data": [],
    "total": 0
}